# Not noarch, but nothing to strip:
%define debug_package %{nil}

#for the gid creation
#%%bcond_without  fedora
%global username ctapiusers

Name:           ctapi-common
Version:        1.1
Release:        alt1_14
Summary:        Common files and packaging infrastructure for CT-API modules

Group:          System/Libraries
License:        MIT
URL:            http://fedoraproject.org/
Requires(pre):	shadow-utils

Provides:       group(%username)

Source0:        %{name}.LICENSE
Source1:        %{name}.README
#BuildRequires:  fedora-usermgmt-devel
#%%{?FE_USERADD_REQ}

Requires(pre):  shadow-utils
Source44: import.info

%description
%{summary}.


%prep
%setup -c -T
install -pm 644 %{SOURCE0} LICENSE
install -pm 644 %{SOURCE1} README


%build
echo %{_libdir}/ctapi > ctapi.conf


%install
install -Dpm 644 ctapi.conf \
    $RPM_BUILD_ROOT/etc/ld.so.conf.d/ctapi-%{_target_cpu}.conf
install -dm 755 $RPM_BUILD_ROOT%{_libdir}/ctapi


%pre
getent group %username >/dev/null || groupadd -r %username || :

%files
%doc LICENSE README
# Hardcoded /etc in README -> hardcoded here.
/etc/ld.so.conf.d/ctapi-%{_target_cpu}.conf
%{_libdir}/ctapi/


%changelog
* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 1.1-alt1_14
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 1.1-alt1_13
- update to new release by fcimport

* Tue Jul 01 2014 Igor Vlasenko <viy@altlinux.ru> 1.1-alt1_12
- update to new release by fcimport

* Thu Aug 22 2013 Igor Vlasenko <viy@altlinux.ru> 1.1-alt1_11
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.1-alt1_10
- update to new release by fcimport

* Thu Aug 02 2012 Igor Vlasenko <viy@altlinux.ru> 1.1-alt1_9
- update to new release by fcimport

* Wed Jun 20 2012 Igor Vlasenko <viy@altlinux.ru> 1.1-alt1_8
- fc import

